Risk Signals

This document describes the NeuroID API v6. The API provides access to risk signals computed using behavior and device technology.

Common use cases are:

  • Retrieving data synchronously at login for a risk assessment on whether a login should proceed.
  • Retrieving data at a high risk transaction to determine whether the transaction should proceed.
  • Retrieving data after an account onboarding event indicating whether the application was suspicious.

The risk signals returned vary with the product accessed and the license purchased.

Notes:

  • For Account Defense, the ato_risk is a rolled up signal which summarizes the overall risk recommendation. The other signals are provided as extra information.

Test Cases:

To retrieve sample responses for different scenarios, you can add the example identity_id for the product feature you are interested in to the URL.
For example, for the Account Defense product, you can use the identity_id example_account_defense_signals_risky as follows. Other arguments are ignored.

  /v6/sessions/example_account_defense_signals_risky/products/account_defense

Open API Specification:
The Open API Specification is available at Open API Specification

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

identity_id written into javascript or sdk with identify() command.

string
enum
required

product set of risk signals desired.

Allowed:
Query Params
string
required

metadata string that describes where in the flow the api is called. For example "attempted_login". This is used for debugging and also for billing purposes (if billed by api calls)

string

customer defined identifier for user. Required for login blocking use cases. Preferred in other use cases but optional

string

customer defined identifier for session. Not required but can be used to link and query sessions.

string
length ≤ 50

Optional metadata parameter to enable partners in multi-tenant integrations.

string
length ≤ 50

Optional metadata parameter to identify the partner’s customer.

Headers
date
required

Specify sub version (in 'YYYY-MM-DD' format). The most recent version is 2025-03-24

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json